/* Main generated for Simulink Real-Time model ArranqueVF */
#include <ModelInfo.hpp>
#include <utilities.hpp>
#include "ArranqueVF.h"
#include "rte_ArranqueVF_parameters.h"

/* Task wrapper function definitions */
void ArranqueVF_Task1(void)
{ 
    ArranqueVF_step();
} 
/* Task descriptors */
slrealtime::TaskInfo task_1( 0u, std::bind(ArranqueVF_Task1), slrealtime::TaskInfo::PERIODIC, 0.0001, 0, 40);

/* Executable base address for XCP */
#ifdef __linux__
extern char __executable_start;
static uintptr_t const base_address = reinterpret_cast<uintptr_t>(&__executable_start);
#else
/* Set 0 as placeholder, to be parsed later from /proc filesystem */
static uintptr_t const base_address = 0;
#endif

/* Model descriptor */
slrealtime::ModelInfo ArranqueVF_Info =
{
    "ArranqueVF",
    ArranqueVF_initialize,
    ArranqueVF_terminate,
    []()->char const*& { return ArranqueVF_M->errorStatus; },
    []()->unsigned char& { return ArranqueVF_M->Timing.stopRequestedFlag; },
    { task_1 },
    slrealtime::getSegmentVector()
};

int main(int argc, char *argv[]) {
    slrealtime::BaseAddress::set(base_address);
    return slrealtime::runModel(argc, argv, ArranqueVF_Info);
}
